#pragma once

void * pwdcrypt_init(const char * seed, const char * key_base_table, int key_base_table_len);
void pwdcrypt_free(void * handle);

bool pwdcrypt_encrypt(const char * data, int data_len,
					  unsigned char * pOutBuffer, int * pOutBufferLen,
					  const char * seed,
					  const char * key_base_table, int key_base_table_len);
					  
bool pwdcrypt_decrypt(const unsigned char * data, int data_len,
					  char * pOutBuffer, int * pOutBufferLen,
					  const char * seed,
					  const char * key_base_table, int key_base_table_len);